Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.trans
Class Mode.Rule

    java.lang.Object
      net.sf.saxon.trans.Mode.Rule

All Implemented Interfaces:
  java.io.Serializable

Enclosing class:
  Mode

public static class Mode.Rule
extends java.lang.Object
implements java.io.Serializable

Inner class Rule used to support the implementation

See Also:
  Serialized Form

Field Summary
`Mode.Rule` | `next`
`java.lang.Object` | `object`
`Pattern` | `pattern`
`int` | `precedence`
`double` | `priority`
`int` | `sequence`

Constructor Summary
`Mode.Rule(Mode.Rule r)` Copy a rule, including the chain of rules linked to it
`Mode.Rule(Pattern p, java.lang.Object o, int prec, double prio, int seq)` Create a Rule

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### pattern

    public Pattern pattern

### object

    public java.lang.Object object

### precedence

    public int precedence

### priority

    public double priority

### sequence

    public int sequence

### next

    public Mode.Rule next

Constructor Detail

### Mode.Rule

    public Mode.Rule(Pattern p,
                     java.lang.Object o,
                     int prec,
                     double prio,
                     int seq)

  Create a Rule

Parameters:
  `p` - the pattern that this rule matches
  `o` - the object invoked by this rule (usually a Template)
  `prec` - the precedence of the rule
  `prio` - the priority of the rule
  `seq` - a sequence number for ordering of rules

### Mode.Rule

    public Mode.Rule(Mode.Rule r)

  Copy a rule, including the chain of rules linked to it

Parameters:
  `r` -

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD